OnlyFans API
FanvueFans

List Smart List Members

List the fans in one smart list, filtered by Fanvue to the ones this creator can contact. Proxies Fanvue's GET /v1/chats/lists/smart/{uuid}. Keep size constant for the whole walk; total is not computed for this list and is always null.

GET
/api/fanvue/{fanvueAccount}/fans/lists/{smart}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanvueAccount*string

The Fanvue Account ID

smart*string

The smart list id: subscribers, auto_renewing, non_renewing, followers, free_trial_subscribers, expired_subscribers, spent_more_than_50, muted or creators. Any other value is a 404.

Query Parameters

cursor?string

Opaque pagination cursor from a previous response's nextCursor.

size?integer

Number of members to return (1 - 50). Default = 15

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fanvue/fanvue_acct_XXXXXXXXXXXXXXX/fans/lists/expired_subscribers?cursor=eyJ2IjoxfQ&size=15"
{
  "data": {
    "data": [
      {
        "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "displayName": "Sarah Jones",
        "handle": "sarah-jones",
        "isCreator": false
      }
    ],
    "nextCursor": null,
    "total": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055811,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}